#!/usr/bin/env python

from distutils.core import setup, Extension

setup (name = "pecco",
       py_modules = ['pecco'],
       ext_modules = [Extension ('_pecco',
                                 ['pecco.i', 'polyk.cpp', 'classify.cpp', 'timer.cpp', 'typedef.cpp'],
                                 swig_opts =['-c++'],
                                 include_dirs=['/Users/ynaga/local/include'],
                                 extra_compile_args=['-m64'],
                                 extra_link_args=['-m64'])])
