#!/usr/bin/env lua
require ("pecco")

timer = pecco.Timer ("pecco", "classify")
train = table.remove (arg, 1)
c     = pecco.PolyK ('$0 ' .. table.concat(arg, ' '))
c:load();

pp, pn, np, nn = 0, 0, 0, 0
for line in io.lines (train) do
   local label = string.match (line, "^%S+")
   local fstr = string.sub (line, string.len (label) + 1)
   timer:startTimer ()
   -- local fv = {}
   -- for f in string.gmatch (fstr, " (%d+)") do
   --   fv[#fv+1] = tonumber (f)
   -- end
   -- sign = c:binClassify (fv)
   sign = c:classify (fstr) > 0
   timer:stopTimer ()
   if label == "+1" then
      if sign then pp = pp + 1 else pn = pn + 1 end
   else
      if sign then np = np + 1 else nn = nn + 1 end
   end
end

io.stderr:write (string.format ("acc. %2.3f%% (pp %d) (pn %d) (np %d) (nn %d)\n",
                                (pp + nn) * 100 / (pp + pn + np + nn), pp, pn, np, nn))

timer:printElapsed ();
